def pre_install():
    """
    Do any setup required before the install hook.
    """
    install_charmhelpers()
    install_packages()


def install_charmhelpers():
    """
    Install the charmhelpers library, if not present.
    """
    try:
        import charmhelpers  # noqa
    except ImportError:
        import subprocess
        subprocess.check_call(['apt-get', 'install', '-y', 'python-pip'])
        subprocess.check_call(['pip', 'install', 'charmhelpers'])


def install_packages():
    from charmhelpers.fetch import apt_install
    apt_install(['python-jinja2', 'python-yaml'], fatal=True)

